libgdamm: Gnome::Gda::ConnectionEvent Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gnome::Gda::ConnectionEvent Class Reference

Any event which has occurred on a Gda::Connection. More...

Inheritance diagram for Gnome::Gda::ConnectionEvent:
[legend]
Collaboration diagram for Gnome::Gda::ConnectionEvent:
[legend]

List of all members.

## Public Member Functions
virtual | ~ConnectionEvent ()
GdaConnectionEvent* | gobj ()
| Provides access to the underlying C GObject.
const GdaConnectionEvent* | gobj () const
| Provides access to the underlying C GObject.
GdaConnectionEvent* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_event_type (ConnectionEventType type)
| Sets event's severity (from a simple notice to a fatal event) This function should not be called directly.
ConnectionEventType | get_event_type () const
| Get event's severity (from a simple notice to a fatal event)
Glib::ustring | get_description () const
| Get the description of the event.
void | set_description (const Glib::ustring& description)
| Sets event's description.
glong | get_code () const
void | set_code (glong code)
| Sets event's code: the code is specific to the provider being used.
ConnectionEventCode | get_gda_code () const
| Retrieve the code associated to event.
void | set_gda_code (ConnectionEventCode code)
| Sets event's gda code: that code is standardized by the libgda library.
Glib::ustring | get_source () const
void | set_source (const Glib::ustring& source)
| Sets event's source; this function should not be called directly.
Glib::ustring | get_sqlstate () const
| Get the SQLSTATE value of event.
void | set_sqlstate (const Glib::ustring& sqlstate)
| Changes the SQLSTATE code of event, this function should not be called directly.
Glib::PropertyProxy < ConnectionEventType > | property_type ()
| Connection event type.
Glib::PropertyProxy_ReadOnly < ConnectionEventType > | property_type () const
| Connection event type.
## Static Public Member Functions
static Glib::RefPtr < ConnectionEvent > | create ()
## Protected Member Functions
| ConnectionEvent ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::ConnectionEvent > | wrap (GdaConnectionEvent* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Any event which has occurred on a Gda::Connection.

Events occuring on a connection are each represented as a ConnectionEvent object. Each Connection is responsible for keeping a list of past events; that list can be consulted using the Connection::get_events() function.

## Constructor & Destructor Documentation

virtual Gnome::Gda::ConnectionEvent::~ConnectionEvent | ( | ) | `[virtual]`

Gnome::Gda::ConnectionEvent::ConnectionEvent | ( | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<ConnectionEvent> Gnome::Gda::ConnectionEvent::create | ( | ) | `[static]`

glong Gnome::Gda::ConnectionEvent::get_code | ( | ) | const

Returns:
  event's code (the code is specific to the provider being used).

Glib::ustring Gnome::Gda::ConnectionEvent::get_description | ( | ) | const

Get the description of the event.

Note that is event's type is GDA_CONNECTION_EVENT_COMMAND, the the description is the SQL of the command.

Returns:
  event's description.

ConnectionEventType Gnome::Gda::ConnectionEvent::get_event_type | ( | ) | const

Get event's severity (from a simple notice to a fatal event)

Returns:
  The event type.

ConnectionEventCode Gnome::Gda::ConnectionEvent::get_gda_code | ( | ) | const

Retrieve the code associated to event.

Returns:
  The Gda::ConnectionEventCode event's code.

Glib::ustring Gnome::Gda::ConnectionEvent::get_source | ( | ) | const

Returns:
  event's source.

Glib::ustring Gnome::Gda::ConnectionEvent::get_sqlstate | ( | ) | const

Get the SQLSTATE value of event.

Even though the SQLSTATE values are specified by ANSI SQL and ODBC, consult each DBMS for the possible values. However, the "00000" (success) value means that there is no error, and the "HY000" (general error) value means an error but no better error code available.

Returns:
  event's SQL state.

GdaConnectionEvent* Gnome::Gda::ConnectionEvent::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GdaConnectionEvent* Gnome::Gda::ConnectionEvent::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaConnectionEvent* Gnome::Gda::ConnectionEvent::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy<ConnectionEventType> Gnome::Gda::ConnectionEvent::property_type | ( | ) |

Connection event type.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ConnectionEventType> Gnome::Gda::ConnectionEvent::property_type | ( | ) | const

Connection event type.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gnome::Gda::ConnectionEvent::set_code | ( | glong | code ) |

Sets event's code: the code is specific to the provider being used.

If you want to have a common understanding of the event codes, use get_gda_code() instead.

This function should not be called directly

Parameters:

  code | A code.

void Gnome::Gda::ConnectionEvent::set_description | ( | const Glib::ustring & | description ) |

Sets event's description.

This function should not be called directly.

Parameters:

  description | A description.

void Gnome::Gda::ConnectionEvent::set_event_type | ( | ConnectionEventType | type ) |

Sets event's severity (from a simple notice to a fatal event) This function should not be called directly.

Parameters:

  type | The severity of the event.

void Gnome::Gda::ConnectionEvent::set_gda_code | ( | ConnectionEventCode | code ) |

Sets event's gda code: that code is standardized by the libgda library.

If you want to specify the corresponding provider specific code, use get_code() or get_sqlstate() instead.

This function should not be called directly

Parameters:

  code | A code.

void Gnome::Gda::ConnectionEvent::set_source | ( | const Glib::ustring & | source ) |

Sets event's source; this function should not be called directly.

Parameters:

  source | A source.

void Gnome::Gda::ConnectionEvent::set_sqlstate | ( | const Glib::ustring & | sqlstate ) |

Changes the SQLSTATE code of event, this function should not be called directly.

Sets event's SQL state.

Parameters:

  sqlstate | SQL state.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::ConnectionEvent > wrap | ( | GdaConnectionEvent * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/connectionevent.h